routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\WarehouseController;
use App\Http\Controllers\SalesPointController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\StockController;
use App\Http\Controllers\SalesPointStockController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', function () {return view('dashboard');})->middleware(['auth'])->name('dashboard');


Route::group(['middleware' => 'auth'], function() {

    //warehousse route
    Route::get('warehouses/archiver/{id}',[WarehouseController::class,'archiver'])->name('warehouses.archiver');
   
   //salespoint route
   Route::get('salespoint/archiver/{id}',[SalesPointController::class,'archiver'])->name('salespoint.archiver');
   
   Route::get('salespoint/newslot',[SalesPointController::class,'newslot'])->name('salespoint.newslot');
   Route::post('stocks/newslotsave',[SalesPointController::class,'newslotsave'])->name('salespoint.newslotsave');
    
   
   //product route
   Route::get('product/archiver/{id}',[ProductController::class,'archiver'])->name('product.archiver');
   
   //clients route
   Route::get('client/archiver/{id}',[ClientController::class,'archiver'])->name('client.archiver');
    //stock transfer to warehouse route
   Route::get('stocks/transfer/{id}',[StockController::class,'transfer'])->name('stocks.transfer');
   Route::post('stocks/saveTransfer',[StockController::class,'saveTransfer'])->name('stocks.saveTransfer');
   //stock transfer to salespoint route
    Route::get('stocks/transferSales/{id}',[SalesPointStockController::class,'transferSales'])->name('stocks.transferSalespoint');
    Route::post('stocks/saveTransferSales',[SalesPointStockController::class,'saveTransferSales'])->name('stocks.saveTransferSales');
    
   Route::resource('warehouses', WarehouseController::class);

    // sales point route
    Route::resource('salespoint', SalesPointController::class);


    // product route
    Route::resource('product', ProductController::class);
    // client route
    Route::resource('client', ClientController::class);

    // stock route stocks.getSlots
    Route::post('stocks/getSlots',[StockController::class,'getSlots'])->name('stocks.getSlots');
    Route::resource('stocks', StockController::class);
});

require __DIR__.'/auth.php';

app/Models/Warehouse.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Warehouse extends Model
{
    use HasFactory;

    public function stock()
    {
        return $this->hasMany(Stock::class ,'warehouse_id','id');
    }
}

app/Http/Controllers/WarehouseController.php
<?php

namespace App\Http\Controllers;


use App\Models\Warehouse;
use Illuminate\Http\Request;

class WarehouseController extends Controller
{
   public function index()
    {

        $stock = Warehouse::where('stat',1)->get();

       return view('warehouse.index', ['stock' => $stock]);
    }
    public function create()
    {
        return view('warehouse.create');
    }
    public function store(Request $req )
    {
        $req->validate([
            'name' => 'required',
            'description' => 'required',
          ]);
         //$modif=true;
         $coffee = Warehouse::find($req->id);

         if(!$coffee){
           $coffee = new Warehouse;
         }  

        //dd($req);
        $coffee->name=$req->name;
        $coffee->description=$req->description;
        $coffee->save();

        return redirect()->route('warehouses.index');
    }
    // the edit function of warehouse
    public function edit($id)
    {
        $model = Warehouse::find($id);
        return view('warehouse.create',['model'=> $model]);
    }
    // the archive function of warehouse
    public function archiver($id)
    {
        $model = Warehouse::find($id);
        $model->stat='0';
        $model->save();
        return redirect()->route('warehouses.index');
    }

    
    
    
}

resources/views/warehouse/create.blade.php
@extends('layouts.app')

@section('content')
<style>
   .view{
      width: 400px;
      
   }
</style>
<div class="view mt-4">
    <h1 class="mb-4">New Wharehouse</h1>
    <form action="{{route('warehouses.store')}}" method="post">
        @csrf
    <div class="form-group">
       <label for="wharehouse" >Wharehouse Name</label>
       <input type="text" name="name" value="{{@$model->name}}" class="form-control" required>
    </div>
    <div class="form-group mb-2">
       <label for="description">Description</label>
       <textarea required name="description"  class="form-control" >{{@$model->description}} </textarea>
    </div>
    <input name="id" value="{{@$model->id}}"  type="hidden">
    <a href="{{route('warehouses.index')}}" class="btn btn-secondary">Cancel</a>
    <button type="submit" class="btn btn-primary" style="background: blue">Save</button>
    </form>
   </div>
@endsection

resources/views/warehouse/index.blade.php
@extends('layouts.app')

@section('content')

    <div class="mt-4">
    <a href="{{route('warehouses.create')}}" class="btn btn-success">New Wharehouse</a>
    </div>
    <div class="mt-4">
        <table class="table  table-striped table-bordered">
            <thead>
                <tr>
                    <th>Wharehouse Name</th>
                    <th>Description</th>
                    <th>Action</th>
                </tr>
            </thead>
            
            <tbody>
                @foreach ($stock as $coffee)
                <tr>
                    <td >{{ $coffee->name }}</td>
                    <td>{{$coffee->description}}</td>
                    <td>
                        <a href="{{route('warehouses.archiver',$coffee->id)}}" class="btn btn-secondary" >Achive</a>
                        <a href="{{route('warehouses.edit',$coffee->id)}}" class="btn btn-info">Edit</a>
                        <!--<a href=""  class="btn btn-danger">Delete</a>-->
                    </td>
                </tr>
                @endforeach
            </tbody>
            
        </table>
    </div>

 
@endsection